package com.qmth.distributed.print.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程信息result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
public class TaskInfoResult extends FlowTaskResult implements Serializable {

    @ApiModelProperty(value = "下一节点信息")
    FlowTaskResult nextFlowTaskResult;

    @ApiModelProperty(value = "驳回流程节点步骤")
    private List<FlowTaskResult> rejectSetupList;

    public TaskInfoResult() {

    }

    public TaskInfoResult(String taskName, String taskKey, Integer setup) {
        setTaskName(taskName);
        setTaskKey(taskKey);
        setSetup(setup);
    }

    public TaskInfoResult(Long flowId, String taskName, String taskKey, Integer setup) {
        setFlowId(flowId);
        setTaskName(taskName);
        setTaskKey(taskKey);
        setSetup(setup);
    }

    public FlowTaskResult getNextFlowTaskResult() {
        return nextFlowTaskResult;
    }

    public void setNextFlowTaskResult(FlowTaskResult nextFlowTaskResult) {
        this.nextFlowTaskResult = nextFlowTaskResult;
    }

    public List<FlowTaskResult> getRejectSetupList() {
        return rejectSetupList;
    }

    public void setRejectSetupList(List<FlowTaskResult> rejectSetupList) {
        this.rejectSetupList = rejectSetupList;
    }
}
